Post Update
Publish changes to a single post.
Publish changes to a single post.
storyden-session<token>post_id*stringUnique post ID.
xidCreate a post within a thread.
application/json- body
body?PostContentRich HTML content.
Storyden owns the HTML id attribute in this content. Client-supplied
id attributes are ignored and removed during sanitisation.
For block-aware resources such as threads, replies, library nodes, and
node versions, successful create and update operations assign stable
server-owned block IDs to addressable block elements using the sdb_
prefix, for example <p id="sdb_d46b4s1fs0s8b8j6k2g0">.
On updates, Storyden preserves existing sdb_ block IDs where the
corresponding block can be matched across edits, so links and references
to specific blocks can remain stable as content moves.
Read operations do not assign missing block IDs. Content created before block IDs were assigned, or content where a particular block has no server-owned ID yet, may be returned without block IDs until that resource is next written.
meta?Arbitrary metadata for the resource.
visibility?Visibility"draft""unlisted""review""published"url?URLA web address
urlPost updated successfully.
application/json- response
A post represents a temporal piece of content, it can be a thread, or a reply to a thread or something else such as a blog, announcement, etc. Post is used in generic use-cases where it may not matter whether you want a thread or a reply, such as search results or recommendations.
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
title*ThreadTitleThe title of a thread.
description?PostDescriptionA short version of the post's body text for use in previews.
slug*ThreadMarkA thread's ID and optional slug separated by a dash = it's unique mark. This allows endpoints to respond to varying forms of a thread's ID.
For example, given a thread with the ID cc5lnd2s1s4652adtu50 and the
slug top-10-movies-thread, Storyden will understand both the forms:
cc5lnd2s1s4652adtu50-top-10-movies-thread and cc5lnd2s1s4652adtu50
as the identifier for that thread.
xid-prefixed-kebab-case-stringauthor*A minimal reference to an account.
visibility*Visibility"draft""unlisted""review""published"assets*array<>reacts*array<>A list of reactions this post has had from people.
collections*likes*meta?Arbitrary metadata for the resource.
body*PostContentRich HTML content.
Storyden owns the HTML id attribute in this content. Client-supplied
id attributes are ignored and removed during sanitisation.
For block-aware resources such as threads, replies, library nodes, and
node versions, successful create and update operations assign stable
server-owned block IDs to addressable block elements using the sdb_
prefix, for example <p id="sdb_d46b4s1fs0s8b8j6k2g0">.
On updates, Storyden preserves existing sdb_ block IDs where the
corresponding block can be matched across edits, so links and references
to specific blocks can remain stable as content moves.
Read operations do not assign missing block IDs. Content created before block IDs were assigned, or content where a particular block has no server-owned ID yet, may be returned without block IDs until that resource is next written.
body_links*array<>curl -X PATCH 'https://example.com/api/posts/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ]}